# DAGetScatter

Gets the local-to-global, local-to-global, and local-to-local vector scatter contexts for a distributed array.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAGetScatter(DA da,VecScatter *ltog,VecScatter *gtol,VecScatter *ltol)

Collective on DA

### Input Parameter

da -the distributed array

### Output Parameters

| ltog | - local-to-global scatter context (may be PETSC_NULL)
| gtol | - global-to-local scatter context (may be PETSC_NULL)
| ltol | - local-to-local scatter context (may be PETSC_NULL)

### Notes

The output contexts are valid only as long as the input da is valid. If you delete the da, the scatter contexts will become invalid.

### Keywords

distributed array, get, scatter, context, global-to-local,
local-to-global, local-to-local

### See Also

DAGlobalToLocalBegin(), DAGlobalToLocalEnd(), DALocalToGlobal()

Level:developer
Location: src/dm/da/src/dascatter.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages